API Reference
Introspect phone number
Validate a phone number and check if a WhatsApp conversation window is open.
POST
/
v1
/
introspect
/
phone
Introspect phone number
curl --request POST \
--url https://api.zavu.dev/v1/introspect/phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "+56912345678"
}
'import requests
url = "https://api.zavu.dev/v1/introspect/phone"
payload = { "phoneNumber": "+56912345678" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumber: '+56912345678'})
};
fetch('https://api.zavu.dev/v1/introspect/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phoneNumber": "<string>",
"countryCode": "CL",
"validNumber": true,
"nationalFormat": "(312) 945-7420",
"carrier": {
"name": "Verizon Wireless"
},
"availableChannels": [
"<string>"
]
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"+56912345678"
Response
Phone number introspection result.
Example:
"CL"
Phone number in national format.
Example:
"(312) 945-7420"
Type of phone line.
Available options:
mobile, landline, voip, toll_free, unknown Carrier information for the phone number.
Show child attributes
Show child attributes
List of available messaging channels for this phone number.
⌘I
Introspect phone number
